Subject: Re: [PATCH] cache-tree: populate cache-tree on successful merge

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jul 2015 13:04:39 -0700

Junio C Hamano <[email-masked]> writes:

> David Turner <[email-masked]> writes:
>
>> The work done to produce the cache-tree is work that the commit would
>> otherwise have to do.  So we're spending extra time in one place to
>> eliminate that work in a different place.
>
> Good point.  Thanks.

Hmm, I forgot about another codepath.  What about operations that
are purely done to pouplate the index, without necessarily creating
a tree out of the index?

The most worrisome is "git checkout $branch" (two-tree merge).